body {
    margin: 0;
    font-family: 'Raleway';
}

.container {
    margin: 3em 6em 10em 6em;
}

#content {
    margin-bottom: 10em;
}

.button {
    background-color: rgb(0, 128, 0);
    height: 37px;
    width: 188px;
    border: none;
    font-size: 16px;
}

.button:hover {
    background-color: #008000d6;
    cursor: pointer;
}

.button a {
    color: white;
    text-decoration: none;
}

.section1 {
    display: flex;
    margin: 0em 6em;
}

.section1Content {
    margin-right: 10em;
    margin-left: 2em;
}

.imgRecipe1 {
    border-radius: 10px;
    width: 250px;
    height: auto;
    margin-right: 25px; 
}

.imgRecipe1:hover {
    opacity: 0.7;
}

.toRecipe {
    color: black;
    text-decoration: none;
    font-weight: bold;
}

.toRecipe:hover {
    color: #008000;
}

.section2 {
    background-color: lightgrey;
    display: flex;
    flex-direction: column;
    align-items: center;
    margin: 5em 0em;
    padding: 1em;
}

.section2Content {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    gap: 3em;
    margin: 2em 6em;
    width: 90%;
}

.recipe {
    display: flex;
    flex-direction: column;
    align-items: center;
    flex: 1 1 150px;
}

.recipe img {
    width: 100%;
    border-radius: 10px;
    object-fit: cover;
    height: 250px;
}

.recipe img:hover {
    color: grey;
    opacity: 0.7;
}

.recipeTitle {
    color: black;
    text-decoration: none;
    margin-top: 10px;
}

.section3 {
    margin: 0em 6em;
}

.section3Content {
    display: flex;
    align-items: center;
}

.wok {
    border-radius: 10px;
    width: 300px;
    height: auto;
    margin-left: 25px;
}

.sources {  
    display: flex;
    flex-direction: column;
}

.sources a {
    color: black;
}

.sources a:hover {
    color: #008000;
}

.sources li:hover {
    color: #008000;
}

.sources li {
    padding: 5px;
}

.link {
    color: #008000;
}

body::-webkit-scrollbar {
    width: 0.7em;
  }
   
  body::-webkit-scrollbar-track {
    box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.3);
  }
   
  body::-webkit-scrollbar-thumb {
    background-color: #403b3b;
    border-radius: 2px;
  }


@media (max-width: 768px) {
    .section1 {
        flex-direction: column;
        margin: 0em 2em;
        align-items: center;
    }

    .section1Content {
        text-align: center;
        margin-right: 0;
        margin-left: 0;
    }

    .imgRecipe1 {
        margin-right: 0;
        width: 100%;
    }

    .imgRecipe1:hover {
        opacity: 0.7;
    }

    .section2Content {
        margin: 2em 2em;
    }

    .recipe {
        flex: 1 1 50%;
    }

    .section3 {
        margin: 0em 2em;
    }

    .section3 h2 {
        text-align: center;
    }

    .section3Content {
        display: block;
        text-align: center;
    }

    .wok {
        width: 100%;
        max-width: none;
        height: auto;
        margin-left: 0;
        margin-top: 20px;
    }

    .imgRecipe1 {
        width: 100%;
    }

    .container {
        margin: 3em 2em 6em 2em;
    }
}

@media (max-width: 350px) {
    #content {
        margin: 0em 1em;
        padding: 100px 0px;
    }

    .section1Content {
        flex-direction: column;
        align-items: flex-start;
        text-align: justify;
    }

    .imgRecipe1 {
        width: 100%;
        max-width: none;
        height: auto;
        margin-right: 0;
        margin-bottom: 1em;
    }

    .section2Content {
        margin: 1em 1em;
    }

    .recipe {
        flex: 1 1 100%;
    }

    .section3 {
        margin: 0em 2em;
    }
    
    .section3Content {
        display: block;
        text-align: justify;
    }

    .wok {
        width: 100%;
        max-width: none;
        height: auto;
        margin-left: 0;
        margin-top: 20px;
    }

    .container {
        margin: 3em 1em 1em 3em;
    }
}
